#ifndef INSTALLATIONSITE_H_
#define INSTALLATIONSITE_H_

#include "quantities/Position.h"

namespace cosi {

namespace environment {

namespace onchipcommunication {

class InstallationSite {
public:
	InstallationSite();
	virtual ~InstallationSite();
	Position GetPosition();
	void SetPosition(Position pP);
	double GetX();
	double GetY();
	void SetX(double pX);
	void SetY(double pY);
	int GetSurfaceIndex() ;
	void SetSurfaceIndex(int pA) ;
private:
	int mA;
	Position mP;
};

}

}

}

#endif /*INSTALLATIONSITE_H_*/
